---
title: How and when to remove "experimental" macros
slug: MDN/Contribute/Howto/Remove_Experimental_Macros
tags:
  - Guide
  - Howto
  - MDN Meta
---
<div>{{MDNSidebar}}</div>

<p class="summary"><span class="seoSummary">Pages on MDN can include KumaScript <a href="/en-US/docs/MDN/Contribute/Structures/Macros">macros</a> to notify readers that a Web technology feature described by the page is still experimental and not yet standardized. </span>However, items that are flagged as experimental might become standardized, and yet the page is not revisited to remove the macro. <span class="seoSummary">You can help improve MDN by reviewing pages that contain these "experimental" macros, and removing the macros from items that are no longer experimental.</span></p>

<p>The macros in question are {{TemplateLink("experimental_inline")}} to flag a specific item mentioned in a page, and {{TemplateLink("SeeCompatTable")}} to flag the entire page.</p>

<div class="notecard warning" style="background: #fff3d4; border-color: #f6b73c;">
<p><strong>Warning:</strong> We no longer recommend using <code>SeeCompatTable</code>. All data about compatibility is now expected to be presented within the browser compatibility table and any footnotes within.</p>
</div>

<p>Here is the definition of "experimental" from the <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions">MDN Definitions and Conventions</a> article:</p>

<p>{{Page("/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions", "Experimental")}}</p>

<dl>
 <dt>Where does this task need to be done?</dt>
 <dd>
 <p>Pages in the following lists:</p>

 <ul>
  <li><a href="https://developer.mozilla.org/search?kumascript_macros=experimental_inline&amp;locale=*" rel="nofollow noopener">All pages on MDN that use <code>\{{Experimental_Inline}}</code></a> (list item icon)</li>
  <li><a href="https://developer.mozilla.org/search?kumascript_macros=experimental_inline&amp;locale=en-US" rel="nofollow noopener">All pages in English that use <code>\{{Experimental_Inline}}</code></a> (list item icon)</li>
  <li><a href="https://developer.mozilla.org/en-US/search?kumascript_macros=SeeCompatTable&amp;locale=*" rel="nofollow noopener">All pages on MDN that use <code>\{{SeeCompatTable}}</code></a> (page banner)</li>
  <li><a href="https://developer.mozilla.org/en-US/search?kumascript_macros=SeeCompatTable&amp;locale=en-US" rel="nofollow noopener">All pages in English that use <code>\{{SeeCompatTable}}</code></a> (page banner)</li>
 </ul>
 </dd>
 <dt>What do you need to know to do the task?</dt>
 <dd>Knowledge of the standardization or implementation status of the relevant item.</dd>
 <dt>What are the steps to do the task?</dt>
 <dd>
 <ol>
  <li>Review the page to see what item or items the macro is associated with.</li>
  <li>Determine whether each item is still experimental or not. The compatibility table on the page may be more current than the macros; you can also test using the item in multiple browsers.</li>
  <li>If an item is no longer experimental, remove the "experimental" macro call associated with it. (Note: an item on a summary page that has the {{TemplateLink("experimental_inline")}} macro next to it is often a link to a full reference page, containing the {{TemplateLink("SeeCompatTable")}} macro.</li>
  <li>Save the page with a comment about what you did.</li>
  <li>If you have removed all "experimental" macros from a page (for inline macros, you might remove only some of them), force a refresh (Shift+Refresh) on the relevant search results page (linked above) to ensure that the list is updated.</li>
 </ol>
 </dd>
</dl>
